Subject: Re: Euroshop C-300

From: [email-masked] (Coffee-The-Cat-WorX)
Date: Mon, 10 Feb 1997 14:16:35 GMT

Just fyi: For the last two months I've been researching the
Combo-Machine approach to woodworking.  I'm a complete newbie with a
few master woodworker friends (close friends) - and from the outset
they told me that a combo-machine would be a good purchase if (and
only if) I "really" need to solve a shop space problem.  All of my
research (and it was intense and extensive) lead me to the conclusion
that if you're going to buy a combo-machine - and you don't have any
budget constraints - get a Felder - hands down the best on the market
- but if you worry about the bucks - get a EuroShop C-300 - and
specifically do not  opt for the X31 Roland.  Furthermore - if you
have the space for a TS, Shaper, Jointer & Planer - you'd be best
advised to purchase individual component pieces - which btw - is the
route I took - and I'm so happy I did - for a whole bunch of reasons
which would be repetitive to post here - but if you want to talk
directly just send me mail ([email-masked]) and I'll ship
you my phone number.

D.